/*
 * @(#)file      ApplicationLayerRequestData.java
 * @(#)author    Stephen Morris
 */

/**
 * The class is a simple example showing how to use the SNMP Manager API.
 *
 * <p>When calling the program, you must specify:
 * <br>     - host: hostname of the SNMP agent you want to query.
 * <br>     - port: port number to use - 161 is the standard
 *
 */

public class ApplicationLayerRequestData {

    public static void main(String argv[]) {

        ApplicationLayerRequestData appLayerReqData = new ApplicationLayerRequestData();
		appLayerReqData.readData(argv);

        //Do something with the data
        appLayerReqData.writeData();
    }

    public void readData(String argv[]) {
		RequestNetworkData someData = new RequestNetworkData(argv);
        someData.collectNetworkData(argv);

	    System.out.println("Hello World from ApplicationLayerRequestData.readData()!");
    }

    public void writeData() {
	    System.out.println("Hello World from ApplicationLayerRequestData.writeData()!");
    }

    //HelloWorld1 world1;
}